
 LinHES - Bug # 705: Upgrade script assumes that it is run in xterm

Status: Closed Priority: Normal
Author: christian Category: Installation/Upgrade
Created: 07/03/2010 Assignee: jams
Updated: 11/06/2011 Due date: 01/10/2011
Description: I was browsing through the recent upgrade script for 6.03 (upgrade_linhes.sh) and noticed in one section 

(where it starts the schema upgrade) that it tries to open an xterm.  I expect this to throw an error and 
potentially fail the script if you are executing from ssh or similar.

A suggestion would be to check the terminal type and if this is not being run from X then the script should 
instead say something like "you appear to be doing this from a terminal window, open another terminal and 
verify that the backend has completed its upgrades by monitoring /var/log/mythtv/mythbackend.log"

In the forum, I noted girkers also tripped on this by accident as the warning doesn't happen until the schema 
upgrade already began.

History
07/07/2010 05:01 pm - girkers
This could be solved in two ways, 1 as aforementioned OR ensure the documentation is up to date and specify how it should be run, i.e. "Must be run 
from an xterminal within an X11 session on the master backend/frontend"

01/11/2011 10:11 pm - cecil
- Target version set to 7.1

- Category set to Installation/Upgrade

- Assignee set to cecil

- Due date set to 01/10/2011

11/06/2011 02:00 pm - jams
- Status changed from New to Closed

- Assignee changed from cecil to jams

update screen now runs in a terminal/screen session.
